%global npm_name source-map-support
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.5.5
Release: %mkrel 7
Summary: Fixes stack traces for files with source maps
License: MIT
Group: Development/Other
URL: https://github.com/evanw/node-source-map-support#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(buffer-from)
Requires: npm(source-map)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep source-map ">=0.7.2"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser-source-map-support.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr register.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr source-map-support.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.md
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.5.5-7.mga10
+ Revision: 2209419
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.5.5-6.mga9
+ Revision: 1820246
- Mageia 9 Mass Rebuild

* Sun Jul 05 2020 joequant <joequant> 0.5.5-5.mga8
+ Revision: 1602148
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.5.5-4.mga8
+ Revision: 1503218
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.5.5-3.mga7
+ Revision: 1280958
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 0.5.5-2.mga7
+ Revision: 1227341
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 0.5.5-1.mga7
+ Revision: 1226027
- imported package nodejs-source-map-support

